package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class RelatedIBMiIOSlot {
    private Metadata metadata;
    private String alternateLoadSourceAttached;
    private String consoleCapable;
    private String directOperationsConsoleCapable;
    private String iOP;
    private String iOPInfoStale;
    private String lANConsoleCapable;
    private String loadSourceAttached;
    private String loadSourceCapable;
    private String operationsConsoleAttached;
    private String operationsConsoleCapable;

    public RelatedIBMiIOSlot() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAlternateLoadSourceAttached() {
        return alternateLoadSourceAttached;
    }

    public void setAlternateLoadSourceAttached(String alternateLoadSourceAttached) {
        this.alternateLoadSourceAttached = alternateLoadSourceAttached;
    }

    public String getConsoleCapable() {
        return consoleCapable;
    }

    public void setConsoleCapable(String consoleCapable) {
        this.consoleCapable = consoleCapable;
    }

    public String getDirectOperationsConsoleCapable() {
        return directOperationsConsoleCapable;
    }

    public void setDirectOperationsConsoleCapable(String directOperationsConsoleCapable) {
        this.directOperationsConsoleCapable = directOperationsConsoleCapable;
    }

    public String getIOP() {
        return iOP;
    }

    public void setIOP(String iOP) {
        this.iOP = iOP;
    }

    public String getIOPInfoStale() {
        return iOPInfoStale;
    }

    public void setIOPInfoStale(String iOPInfoStale) {
        this.iOPInfoStale = iOPInfoStale;
    }

    public String getLANConsoleCapable() {
        return lANConsoleCapable;
    }

    public void setLANConsoleCapable(String lANConsoleCapable) {
        this.lANConsoleCapable = lANConsoleCapable;
    }

    public String getLoadSourceAttached() {
        return loadSourceAttached;
    }

    public void setLoadSourceAttached(String loadSourceAttached) {
        this.loadSourceAttached = loadSourceAttached;
    }

    public String getLoadSourceCapable() {
        return loadSourceCapable;
    }

    public void setLoadSourceCapable(String loadSourceCapable) {
        this.loadSourceCapable = loadSourceCapable;
    }

    public String getOperationsConsoleAttached() {
        return operationsConsoleAttached;
    }

    public void setOperationsConsoleAttached(String operationsConsoleAttached) {
        this.operationsConsoleAttached = operationsConsoleAttached;
    }

    public String getOperationsConsoleCapable() {
        return operationsConsoleCapable;
    }

    public void setOperationsConsoleCapable(String operationsConsoleCapable) {
        this.operationsConsoleCapable = operationsConsoleCapable;
    }

    @Override
    public String toString() {
        return "RelatedIBMiIOSlot [metadata=" + metadata + ", alternateLoadSourceAttached="
            + alternateLoadSourceAttached + ", consoleCapable=" + consoleCapable
            + ", directOperationsConsoleCapable=" + directOperationsConsoleCapable + ", iOP=" + iOP
            + ", iOPInfoStale=" + iOPInfoStale + ", lANConsoleCapable=" + lANConsoleCapable
            + ", loadSourceAttached=" + loadSourceAttached + ", loadSourceCapable=" + loadSourceCapable
            + ", operationsConsoleAttached=" + operationsConsoleAttached + ", operationsConsoleCapable="
            + operationsConsoleCapable + "]";
    }
}
